

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">

        
          </div><!-- /.col -->
        
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
          <!-- Small boxes (Stat box) -->
         
          <!-- /.row -->
          <!-- Main row -->
        
          <!-- /.row (main row) -->
        </div><!-- /.container-fluid -->
        <div class="container-fluid">
  
  
  
  
   
  
      <!-- Main content -->
      <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-3 col-6">
                  <!-- small box -->
                  <div class="small-box bg-info">
                    <div class="inner">
                      <h3><%= totoalnumberofreservations %></h3>
      
                      <p>Nombre total de res'vations</p>
                    </div>
                    <div class="icon">
                      <i class="ion ion-bag"></i>
                    </div>
                    <!-- <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a> -->
                  </div>
                </div>
               
                <div class="col-lg-3 col-6">
                  <!-- small box -->
                  <div class="small-box bg-warning">
                    <div class="inner">
                      <h3><%= totaltransections %></h3>
      
                      <p>Total des transections</p>
                    </div>
                    <div class="icon">
                      <i class="ion ion-person-add"></i>
                    </div>
                    <!-- <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a> -->
                  </div>
                </div>
                <!-- ./col -->
                <div class="col-lg-3 col-6">
                  <!-- small box -->
                  <div class="small-box bg-danger">
                    <div class="inner">
                      <h3>€<%= totalearnings %></h3>
      
                      <p>Total des gains</p>
                    </div>
                    <div class="icon">
                      <i class="ion ion-pie-graph"></i>
                    </div>
                    <!-- <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a> -->
                  </div>
                </div>
                <!-- ./col -->
              </div>
          <div class="row">
            <div class="col-12">
              <div class="card">
                <div class="card-header">
                  <h3 class="card-title">Historique des paiements</h3>
                </div>
               
                <!-- /.card-header -->
                <div class="card-body">
                  <div  class="dataTables_filter">
                    <input type="text" id="student_name" class="form-control " placeholder="Nom d'Étudiant" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;">
                    <input type="text" id="teacher_name"class="form-control " placeholder="Nom de l'Enseignant" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;">
                    <input type="text" id="mode_of_payment"class="form-control " placeholder="Mode de paiement" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;">
                    <!-- <input type="text" id="mode_of_service"class="form-control " placeholder="Mode de service" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;"> -->
                    <input type="text" onfocus="(this.type='date')" onblur="(this.type='text')" id="start_date" class="form-control " placeholder="date d'entrée en vigueur" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;">
                    <input type="text" onfocus="(this.type='date')" onblur="(this.type='text')" id="end_date" class="form-control " placeholder="date de fin" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;">
                    <input type="button" id="search" class="btn btn-primary"  value="filtre" onclick="handlefilter()" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;">
                </div>
                  <table id="example1" class="table table-bordered table-hover">
                    
                    <thead>
                    <tr>

                      <th>ID de la demande </th>
                      <th>Utilisateur</th>
                      <th>Prestataire </th>
                      <th>Type de service </th>
                      <th>Date et heure  </th>
                      <th>Statut  </th>
                      
                     <th>Montant</th>
                     <th>Mode de paiement</th>
                     
                     <th>Commission gagnée</th>
                     <!-- <th>Actions</th> -->
                    </tr>
                   
                    </thead>
                    <tbody>
                   <% paymenthistory.forEach((element,index) => { %>
                    <tr>
                     
                    <td><%= index+1 %></td>
                      <td><%= element.client_name %> </td>
                      <td><%= element.provider_name %> </td>
                      <td><%= element.service_name %></td>
                      <td><%=  element.date_availed&&moment(new Date(element.date_availed).toISOString().split("T")[0]).format("DD.MM.YYYY")?moment(new Date(element.date_availed).toISOString().split("T")[0]).format("DD.MM.YYYY"):""  %></td>
                      <td><%= element.service_status %></td>
                      <td><%= element.finalamount %>€</td>
                      <td><%= element.mode_of_payment %></td>
                      
                     <th><%= element.commission_earned?element.commission_earned:0 %></th>
                     <td>
                      <!-- <button onclick='handleview("<%= element._id %>")' class="btn btn-primary" style="width:120px;font-size: smaller;padding: 0%;margin-bottom: 0px; height: 50px;">Voir</button> -->
                      <!-- <button onclick='handledownloadinvoice("<%= element._id %>")' class="btn btn-success" style="width:120px;font-size: smaller;padding: 0%; height: 50px">Télécharger la facture de paiement</button> -->
                    </td>
                    
                    </tr>
                    <% }); %>
                    </tbody>
                  
                  
                  
                   
                  
                  </table>
                </div>
                <!-- /.card-body -->
              </div>
              <!-- /.card -->
  
           
              <!-- /.card -->
            </div>
            <!-- /.col -->
          </div>
          <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
      </section>
      <!-- /.content -->
    
  
  
  <script>
function handlefilter(){
  var student_name = $("#student_name").val();
  var teacher_name = $("#teacher_name").val();
  var start_date = $("#start_date").val();
  var end_date = $("#end_date").val();
  var mode_of_payment = $("#mode_of_payment").val();
  // var mode_of_service = $("#mode_of_service").val();
  var url = "<%=base_url%>paymenthistory?student_name="+student_name+"&teacher_name="+teacher_name+"&start_date="+start_date+"&end_date="+end_date+"&mode_of_payment="+mode_of_payment;
  window.location.href = url;
}

    
   
    function handleview(id){
      const requestOptions = {
            method: 'get',

        };
      let url='/admin-panel/viewpaymentdetails/'+id;
      
      window.location.href = url;
    }

    function handledownloadinvoice(lawyer_id){
      const requestOptions = {
            method: 'get'

        };
      let url='<%=base_url%>downloadinvoice/'+lawyer_id;
      // alert(url)
      fetch(url, requestOptions)
      .then(response => response.json())
      .then(data => {
        window.open(data.url,"_blank");
       toastr.success(data.message);
      
       

       
      })
     
    }
  </script>
  
  
        </div>
      
      </section>
   
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

